﻿html, body {
    width: 100%;
    height: 100%;
    margin: 0px;
    padding: 0px;
    font-family: "Microsoft JhengHei";
    overflow: hidden;
}

.themeMapPage {
    width: 100%;
    height: 100%;
}

/*#region basemapToggle*/

.basemapSwitchContainer {
    position: absolute;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: 100;
    display: none;
}

.basemapMask {
    position: absolute;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: 100;
    background-color: black;
    opacity: 0.65;
}

.basemapSwitch {
    position: absolute;
    top: 25%;
    width: 100%;
    margin: 0 auto;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    z-index: 101;
}

.closeBasemap {
    font-size: 24px;
    color: white;
    text-align: center;
    width: 378px;
    cursor: pointer;
    border: solid white 1px;
    border-radius: 5px;
}

.telContainer {
    display: none;
    font-size: 24px;
    color: white;
    text-align: center;
    width: 380px;
    cursor: pointer;
    margin-bottom: 10px;
}

.basemapType {
    width: 385px;
    height: 75px;
    margin-bottom: 10px;
    cursor: pointer;
    background-size: contain;
}

    .basemapType.eMap {
        background-image: url('Images/iMap-2_maplayer-eMap.png');
    }

    .basemapType.satellite {
        background-image: url('Images/iMap-2_maplayer-satellite.png');
    }

    .basemapType.satelliteMap {
        background-image: url('Images/iMap-2_maplayer-satelliteMap.png');
    }

.basemapSwitchContainer .loadingSpinner {
    width: 200px;
    height: 200px;
    display: none;
    background-image: url('Images/spinner.svg');
    position: absolute;
    top: calc(50vh - 100px);
    left: calc(50vw - 100px);
}

/*#endregion*/

/*#region header*/
.header {
    position: absolute;
    width: 100%;
    height: 50px;
    background-color: #9D5BA3;
    text-align: center;
    z-index: 98;
}

    .header.hide {
        display: none;
    }

.dataTitle {
    font-size: 30px;
    line-height: 50px;
    color: white;
}
/*#endregion*/

/*#region main*/
.main {
    position: absolute;
    top: 50px;
    width: 100%;
    height: calc( 100% - 180px);
    /*padding-bottom: 180px;*/
}

    .main.hideHeader {
        top: 0px;
        height: calc(100% - 130px);
        /*padding-bottom: 130px;*/
    }

.map {
    width: 100%;
    height: 100%;
    z-index: -1;
}

.basemap {
    position: absolute;
    top: 50px;
    right: 3%;
    width: 60px;
    height: 60px;
    background-image: url('Images/imap-03.svg');
    cursor: pointer;
}

.userPosition {
    position: absolute;
    top: 120px;
    right: 3%;
    width: 60px;
    height: 60px;
    background-image: url('Images/imap-04.svg');
    cursor: pointer;
}
/*#endregion*/

/*#region footer*/
.footer {
    position: absolute;
    bottom: 0px;
    width: 100%;
    height: 420px;
    z-index: 99;
    border-top: 1px solid #8F5496;
    font-size: 16px;
    background-color: white;
    -webkit-transition: all .3s linear 0s;
    transition: all .3s linear 0s;
}

    .footer.default {
        height: 130px;
    }

.pointInfo {
    width: 100%;
    display: none;
}

    .pointInfo .subInfo > div:last-child {
        border-bottom: none;
    }

    .pointInfo .subInfo {
        overflow-y: auto;
        height: 286px;
    }

    .pointInfo .infoItem {
        width: 94%;
        align-items: center;
        display: flex;
        padding: 10px 3%;
        background-color: white;
        border-bottom: 1px gray dotted;
    }

        .pointInfo .infoItem.basic {
            padding: 0px 3%;
            height: 100px;
            display: flex;
            background-color: white;
            max-height: none;
            overflow-y: inherit;
        }

    .pointInfo .infoLeft {
        width: 8%;
        margin-right: 1%;
        display: flex;
        justify-content: center;
    }

    .pointInfo .infoRight {
        width: 90%;
        display: inline-block;
    }

.infoItem.basic .scroll {
    width: 40px;
    height: 40px;
    background-image: url('Images/imap-08.svg');
    transform: rotate(180deg);
    position: absolute;
    top: 0px;
    -webkit-transition: all .3s linear 0s;
    transition: all .3s linear 0s;
    cursor: pointer;
}

    .infoItem.basic .scroll.default {
        transform: rotate(0deg);
        top: -20px;
    }

.infoItem.basic .infoRight .pointName {
    font-size: 28px;
}

.infoItem.basic .pointPhone {
    width: 60px;
    height: 60px;
    background-image: url('Images/imap-06.svg');
    position: absolute;
    right: 3%;
    cursor: pointer;
}

    .infoItem.basic .pointPhone .phoneLink {
        display: none;
    }

/*.infoItem.basic .pointPhone.default {
        background-image: url('Images/imap-06.svg');
    }*/

.infoItem.basic .infoLeft .distance {
    color: #3EADE2;
}

/*.infoItem.basic.default .infoLeft .distance {
    color: #3EADE2;
}*/

.infoItem .typeIcon {
    height: 20px;
    width: 20px;
    display: inline-block;
    vertical-align: middle;
}

    .infoItem .typeIcon.icon {
        background-image: url('Images/imap-10.svg');
    }

.infoItem .source {
    width: 100%;
    text-align: right;
}

.availableParking.red {
    color: red;
}

.cashRed {
    color: red;
}

.redSignal {
    display: inline-block;
    background-image: url('Images/SideParking/iMAP_B02.svg');
    width: 30px;
    height: 30px;
    position: relative;
    top: 10px;
}

.greenSignal {
    display: inline-block;
    background-image: url('Images/SideParking/iMAP_B01.svg');
    width: 30px;
    height: 30px;
    position: relative;
    top: 10px;
}

.blackCross {
    display: inline-block;
    background-image: url('Images/SideParking/iMAP_B03.svg');
    width: 30px;
    height: 30px;
    position: relative;
    top: 10px;
}

.dollarSign {
    display: inline-block;
    background-image: url('Images/SideParking/iMAP_B04.svg');
    width: 30px;
    height: 30px;
    position: relative;
    top: 10px;
}

.leftMargin {
    margin-left: 6px;
}

.infoItem.bottom .source a.inactive {
    pointer-events: none;
    cursor: default;
}

.infoItem.template {
    display: none;
}

.iMapLink {
    background-color: #8F5496;
    padding: 6px 3%;
    width: 100%;
    height: 34px;
    position: absolute;
    bottom: 0px;
}

    .iMapLink.default {
        display: none;
    }

    .iMapLink a {
        color: white;
        text-decoration: none;
    }

/*#endregion*/

.symbolStorage {
    opacity:0;
    position:absolute;
}




